Package org.eclipse.jdt.core

## Interface ICorrectionRequestor

    public interface ICorrectionRequestor

A callback interface for receiving java problem correction.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `acceptClass​(char[] packageName, char[] className, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of a class correction.
`void` `acceptField​(char[] declaringTypePackageName, char[] declaringTypeName, char[] name, char[] typePackageName, char[] typeName, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of a field correction.
`void` `acceptInterface​(char[] packageName, char[] interfaceName, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of an interface correction.
`void` `acceptLocalVariable​(char[] name, char[] typePackageName, char[] typeName, int modifiers, int correctionStart, int correctionEnd)` Notification of a local variable correction.
`void` `acceptMethod​(char[] declaringTypePackageName, char[] declaringTypeName, char[] selector, char[][] parameterPackageNames, char[][] parameterTypeNames, char[][] parameterNames, char[] returnTypePackageName, char[] returnTypeName, char[] correctionName, int modifiers, int correctionStart, int correctionEnd)` Notification of a method correction.
`void` `acceptPackage​(char[] packageName, char[] correctionName, int correctionStart, int correctionEnd)` Notification of a package correction.

### Method Detail

#### acceptClass

    void acceptClass​(char[] packageName,
                     char[] className,
                     char[] correctionName,
                     int modifiers,
                     int correctionStart,
                     int correctionEnd)

Notification of a class correction.

Parameters:
  `packageName` - Declaring package name of the class.
  `className` - Name of the class.
  `correctionName` - The correction for the class.
  `modifiers` - The modifiers of the class.
  `correctionStart` - The start position of insertion of the correction of the class.
  `correctionEnd` - The end position of insertion of the correction of the class. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

#### acceptField

    void acceptField​(char[] declaringTypePackageName,
                     char[] declaringTypeName,
                     char[] name,
                     char[] typePackageName,
                     char[] typeName,
                     char[] correctionName,
                     int modifiers,
                     int correctionStart,
                     int correctionEnd)

Notification of a field correction.

Parameters:
  `declaringTypePackageName` - Name of the package in which the type that contains this field is declared.
  `declaringTypeName` - Name of the type declaring this field.
  `name` - Name of the field.
  `typePackageName` - Name of the package in which the type of this field is declared.
  `typeName` - Name of the type of this field.
  `correctionName` - The correction for the field.
  `modifiers` - The modifiers of this field.
  `correctionStart` - The start position of insertion of the correction of this field.
  `correctionEnd` - The end position of insertion of the correction of this field. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

#### acceptInterface

    void acceptInterface​(char[] packageName,
                         char[] interfaceName,
                         char[] correctionName,
                         int modifiers,
                         int correctionStart,
                         int correctionEnd)

Notification of an interface correction.

Parameters:
  `packageName` - Declaring package name of the interface.
  `interfaceName` - Name of the interface.
  `correctionName` - The correction for the interface. Can include ';' for imported interfaces.
  `modifiers` - The modifiers of the interface.
  `correctionStart` - The start position of insertion of the correction of the interface.
  `correctionEnd` - The end position of insertion of the correction of the interface. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

#### acceptLocalVariable

    void acceptLocalVariable​(char[] name,
                             char[] typePackageName,
                             char[] typeName,
                             int modifiers,
                             int correctionStart,
                             int correctionEnd)

Notification of a local variable correction.

Parameters:
  `name` - Name of the local variable.
  `typePackageName` - Name of the package in which the type of this local variable is declared.
  `typeName` - Name of the type of this local variable.
  `modifiers` - The modifiers of this local variable.
  `correctionStart` - The start position of insertion of the correction of this local variable.
  `correctionEnd` - The end position of insertion of the correction of this local variable. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

#### acceptMethod

    void acceptMethod​(char[] declaringTypePackageName,
                      char[] declaringTypeName,
                      char[] selector,
                      char[][] parameterPackageNames,
                      char[][] parameterTypeNames,
                      char[][] parameterNames,
                      char[] returnTypePackageName,
                      char[] returnTypeName,
                      char[] correctionName,
                      int modifiers,
                      int correctionStart,
                      int correctionEnd)

Notification of a method correction.

Parameters:
  `declaringTypePackageName` - Name of the package in which the type that contains this method is declared.
  `declaringTypeName` - Name of the type declaring this method.
  `selector` - Name of the method.
  `parameterPackageNames` - Names of the packages in which the parameter types are declared. Should contain as many elements as parameterTypeNames.
  `parameterTypeNames` - Names of the parameter types. Should contain as many elements as parameterPackageNames.
  `parameterNames` - Names of the parameters. Should contain as many elements as parameterPackageNames.
  `returnTypePackageName` - Name of the package in which the return type is declared.
  `returnTypeName` - Name of the return type of this method, should be `null` for a constructor.
  `correctionName` - The correction for the method. Can include zero, one or two brackets. If the closing bracket is included, then the cursor should be placed before it.
  `modifiers` - The modifiers of this method.
  `correctionStart` - The start position of insertion of the correction of this method.
  `correctionEnd` - The end position of insertion of the correction of this method. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array. NOTE: parameter names can be retrieved from the source model after the user selects a specific method.

#### acceptPackage

    void acceptPackage​(char[] packageName,
                       char[] correctionName,
                       int correctionStart,
                       int correctionEnd)

Notification of a package correction.

Parameters:
  `packageName` - The package name.
  `correctionName` - The correction for the package. Can include '.*;' for imports.
  `correctionStart` - The start position of insertion of the correction of this package.
  `correctionEnd` - The end position of insertion of the correction of this package. NOTE - All package names are presented in their readable form: Package names are in the form "a.b.c". The default package is represented by an empty array.